## ros-dashing-rosbag2 0.1.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosbag2)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Werror)
endif()

option(DISABLE_SANITIZERS "disables the use of gcc saniztizers")
# Only enable sanitizers on x64 architectures
# https://github.com/google/sanitizers/issues/794
if(NOT ${CMAKE_SIZEOF_VOID_P} EQUAL 8)
  set(DISABLE_SANITIZERS ON)
endif()

find_package(ament_cmake REQUIRED)
find_package(ament_index_cpp REQUIRED)
find_package(pluginlib REQUIRED)
find_package(poco_vendor)
find_package(Poco COMPONENTS Foundation)
find_package(rcutils REQUIRED)
find_package(rosbag2_storage REQUIRED)
find_package(rosidl_generator_cpp REQUIRED)
find_package(rosidl_typesupport_cpp REQUIRED)
find_package(rosidl_typesupport_introspection_cpp REQUIRED)

add_library(${PROJECT_NAME} SHARED
  src/rosbag2/converter.cpp
  src/rosbag2/info.cpp
  src/rosbag2/sequential_reader.cpp
  src/rosbag2/serialization_format_converter_factory.cpp
  src/rosbag2/typesupport_helpers.cpp
  src/rosbag2/writer.cpp
  src/rosbag2/types/introspection_message.cpp)

ament_target_dependencies(${PROJECT_NAME}
  ament_index_cpp
  pluginlib
  Poco
  rcutils
  rosbag2_storage
  rosidl_generator_cpp
  rosidl_typesupport_introspection_cpp
  rosidl_typesupport_cpp
)

target_include_directories(${PROJECT_NAME}
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
)

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME} PRIVATE "ROSBAG2_BUILDING_DLL")

# prevent pluginlib from using boost
target_compile_definitions(${PROJECT_NAME} PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")

install(
  DIRECTORY include/
  DESTINATION include)

install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_dependencies(pluginlib rosbag2_storage rosidl_typesupport_introspection_cpp)

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  find_package(test_msgs REQUIRED)
  ament_lint_auto_find_test_dependencies()

  add_library(
    converter_test_plugins
    SHARED
    test/rosbag2/serializer_test_plugin.cpp
    test/rosbag2/converter_test_plugin.cpp)
  target_link_libraries(converter_test_plugins rosbag2)
  install(
    TARGETS converter_test_plugins
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION bin)
  pluginlib_export_plugin_description_file(rosbag2 test/rosbag2/converter_test_plugin.xml)

  ament_add_gmock(test_converter_factory
    test/rosbag2/test_converter_factory.cpp)
  if(TARGET test_converter_factory)
    target_include_directories(test_converter_factory PRIVATE include)
    target_link_libraries(test_converter_factory rosbag2)
  endif()

  ament_add_gmock(test_typesupport_helpers
    test/rosbag2/test_typesupport_helpers.cpp
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
  if(TARGET test_typesupport_helpers)
    target_link_libraries(test_typesupport_helpers rosbag2)
  endif()

  ament_add_gmock(test_info
    test/rosbag2/test_info.cpp
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
  if(TARGET test_info)
    target_link_libraries(test_info rosbag2)
    ament_target_dependencies(test_info rosbag2_test_common)
  endif()

  ament_add_gmock(test_sequential_reader
    test/rosbag2/test_sequential_reader.cpp)
  if(TARGET test_sequential_reader)
    target_link_libraries(test_sequential_reader rosbag2)
  endif()

  # If compiling with gcc, run this test with sanitizers enabled
  ament_add_gmock(test_ros2_message
    test/rosbag2/types/test_ros2_message.cpp
    src/rosbag2/typesupport_helpers.cpp
    src/rosbag2/types/introspection_message.cpp)
  if(TARGET test_ros2_message)
    target_compile_definitions(test_ros2_message PRIVATE "ROSBAG2_BUILDING_DLL")
    if(NOT DISABLE_SANITIZERS)
      target_compile_options(test_ros2_message PUBLIC $<$<CXX_COMPILER_ID:GNU>:-fsanitize=leak>)
      target_link_libraries(test_ros2_message $<$<CXX_COMPILER_ID:GNU>:-fsanitize=leak>)
    endif()
    target_include_directories(test_ros2_message
      PUBLIC
      $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
      $<INSTALL_INTERFACE:include>)
    ament_target_dependencies(test_ros2_message
      ament_index_cpp
      Poco
      rcutils
      rosbag2_storage
      rosidl_generator_cpp
      rosidl_typesupport_introspection_cpp
      rosidl_typesupport_cpp
      test_msgs)
  endif()

  ament_add_gmock(test_writer
    test/rosbag2/test_writer.cpp)
  if(TARGET test_writer)
    target_link_libraries(test_writer rosbag2)
  endif()
endif()

ament_package()

=== debian/changelog ===
ros-dashing-rosbag2 (0.1.8-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 16 Oct 2019 07:00:00 -0000

ros-dashing-rosbag2 (0.1.7-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 14 Oct 2019 07:00:00 -0000

ros-dashing-rosbag2 (0.1.6-1bionic) bionic; urgency=high

  * enable address sanitizers only on 64bit machines (#149 <https://github.com/ros2/rosbag2/issues/149>) (#162 <https://github.com/ros2/rosbag2/issues/162>)

 -- Karsten Knese <karsten@openrobotics.org>  Fri, 20 Sep 2019 07:00:00 -0000

ros-dashing-rosbag2 (0.1.5-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 09 Sep 2019 07:00:00 -0000

ros-dashing-rosbag2 (0.1.4-1bionic) bionic; urgency=high

  * Exported pluginlib dependency to downstream packages (#144 <https://github.com/ros2/rosbag2/issues/144>)
  * Contributors: Esteve Fernandez, Michel Hidalgo

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 31 Jul 2019 07:00:00 -0000

ros-dashing-rosbag2 (0.1.3-1bionic) bionic; urgency=high

  * Add support for parsing middle module name from type (#128 <https://github.com/ros2/rosbag2/issues/128>)
  * Contributors: David Hodo

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 12 Jun 2019 07:00:00 -0000

ros-dashing-rosbag2 (0.1.2-1bionic) bionic; urgency=high

  * Fixes an init race condition (#93 <https://github.com/ros2/rosbag2/issues/93>)
    * This could probably be a race condition, for ex: When we've create a subscriber in the API, and the subscriber has the data already available in the callback (Cause of existing publishers) the db entry for the particular topic would not be availalble, which in turn returns an SqliteException. This is cause write_->create_topic() call is where we add the db entry for a particular topic. And, this leads to crashing before any recording.
    Locally I solved it by adding the db entry first, and if
    create_subscription fails, remove the topic entry from the db and also
    erase the subscription.
    Signed-off-by: Sriram Raghunathan <mailto:rsriram7@visteon.com>
    * Fix comments for pull request https://github.com/ros2/rosbag2/pull/93
    Signed-off-by: Sriram Raghunathan <mailto:rsriram7@visteon.com>
    * Added unit test case for remove_topics from db
    Signed-off-by: Sriram Raghunathan <mailto:rsriram7@visteon.com>
    * Fix unit tests failing by adding dependent test macros
    Signed-off-by: Sriram Raghunathan <mailto:rsriram7@visteon.com>
    * Fixes the linter errors
  * Contributors: Sriram Raghunathan

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-dashing-rosbag2 (0.1.1-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 09 May 2019 07:00:00 -0000

ros-dashing-rosbag2 (0.1.0-1bionic) bionic; urgency=high

  * Handle message type name with multiple namespace parts (#114 <https://github.com/ros2/rosbag2/issues/114>)
  * fix compilation against master (#111 <https://github.com/ros2/rosbag2/issues/111>)
  * fix logging signature (#107 <https://github.com/ros2/rosbag2/issues/107>)
  * Compile tests (#103 <https://github.com/ros2/rosbag2/issues/103>)
  * Contributors: Dirk Thomas, Jacob Perron, Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 08 May 2019 07:00:00 -0000

ros-dashing-rosbag2 (0.0.5-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 27 Dec 2018 08:00:00 -0000

ros-dashing-rosbag2 (0.0.4-1bionic) bionic; urgency=high

  * 0.0.3
  * Play old bagfiles (#69 <https://github.com/bsinno/rosbag2/issues/69>)
  * Contributors: Karsten Knese, Martin Idel

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 19 Dec 2018 08:00:00 -0000

ros-dashing-rosbag2 (0.0.2-1bionic) bionic; urgency=high

  * update maintainer email
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 12 Dec 2018 08:00:00 -0000

ros-dashing-rosbag2 (0.0.1-1bionic) bionic; urgency=high

  * Split converters (#70 <https://github.com/ros2/rosbag2/issues/70>)
  * GH-144 Add missing pop for warning pragma (#68 <https://github.com/ros2/rosbag2/issues/68>)
  * Fix master build and small renamings (#67 <https://github.com/ros2/rosbag2/issues/67>)
  * rename topic_with_types to topic_metadata
  * use converter options
  * GH-142 replace map with unordered map where possible (#65 <https://github.com/ros2/rosbag2/issues/65>)
  * Use converters when recording a bag file (#57 <https://github.com/ros2/rosbag2/issues/57>)
  * Renaming struct members for consistency (#64 <https://github.com/ros2/rosbag2/issues/64>)
  * Use converters when playing back files (#56 <https://github.com/ros2/rosbag2/issues/56>)
  * Implement converter plugin for CDR format and add converter plugins package (#48 <https://github.com/ros2/rosbag2/issues/48>)
  * Display bag summary using ros2 bag info (#45 <https://github.com/ros2/rosbag2/issues/45>)
  * Add entry point for converter plugins (#47 <https://github.com/ros2/rosbag2/issues/47>)
  * Extract recorder from rosbag2_transport, fix test naming (#44 <https://github.com/ros2/rosbag2/issues/44>)
  * Introduce rosbag2_transport layer and CLI (#38 <https://github.com/ros2/rosbag2/issues/38>)
  * Add correct timing behaviour for rosbag play (#32 <https://github.com/ros2/rosbag2/issues/32>)
  * Improve sqlite usage and test stability (#31 <https://github.com/ros2/rosbag2/issues/31>)
  * Record and play multiple topics (#27 <https://github.com/ros2/rosbag2/issues/27>)
  * Allow an arbitrary topic to be recorded (#26 <https://github.com/ros2/rosbag2/issues/26>)
  * Use serialized message directly (#24 <https://github.com/ros2/rosbag2/issues/24>)
  * initial version of plugin based storage api (#7 <https://github.com/ros2/rosbag2/issues/7>)
  * add visibility macro (#22 <https://github.com/ros2/rosbag2/issues/22>)
  * (demo, sqlite3) First working rosbag2 implementation (#6 <https://github.com/ros2/rosbag2/issues/6>)
  * initial setup


=== debian/control ===
Source: ros-dashing-rosbag2
Section: misc
Priority: extra
Maintainer: Karsten Knese <karsten@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-cmake-gmock, ros-dashing-ament-index-cpp, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-pluginlib, ros-dashing-poco-vendor, ros-dashing-rcutils, ros-dashing-rosbag2-storage, ros-dashing-rosbag2-test-common, ros-dashing-rosidl-generator-cpp, ros-dashing-rosidl-typesupport-cpp, ros-dashing-rosidl-typesupport-introspection-cpp, ros-dashing-shared-queues-vendor, ros-dashing-test-msgs, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-rosbag2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-ament-index-cpp, ros-dashing-pluginlib, ros-dashing-poco-vendor, ros-dashing-rcutils, ros-dashing-rosbag2-storage, ros-dashing-rosidl-generator-cpp, ros-dashing-rosidl-typesupport-cpp, ros-dashing-rosidl-typesupport-introspection-cpp, ros-dashing-shared-queues-vendor, ros-dashing-ros-workspace
Description: ROSBag2 client library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-rosbag2//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
